commit: 42fb7b0a717807906436b886ce5e5ae506467867
Author: Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Wed Sep 23 06:39:49 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Sep 23 06:39:49 2015 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=42fb7b0a
dev-python/nbformat: Replace symlink
dev-python/nbformat/nbformat-4.0.0.ebuild | 60 ++++++++++++++++++++++++++++++-
dev-python/nbformat/nbformat-9999.ebuild | 11 ++----
2 files changed, 61 insertions(+), 10 deletions(-)
diff --git a/dev-python/nbformat/nbformat-4.0.0.ebuild
b/dev-python/nbformat/nbformat-4.0.0.ebuild
deleted file mode 120000
index c2590aa..0000000
--- a/dev-python/nbformat/nbformat-4.0.0.ebuild
+++ /dev/null
@@ -1 +0,0 @@
-nbformat-9999.ebuild
\ No newline at end of file
diff --git a/dev-python/nbformat/nbformat-4.0.0.ebuild
b/dev-python/nbformat/nbformat-4.0.0.ebuild
new file mode 100644
index 0000000..cc116c0
--- /dev/null
+++ b/dev-python/nbformat/nbformat-4.0.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python{3_3,3_4} )
+PYTHON_REQ_USE='sqlite'
+
+inherit distutils-r1
+
+DESCRIPTION="Reference implementation of the Jupyter Notebook format"
+HOMEPAGE="http://jupyter.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+KEYWORDS="~amd64 ~x86"
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="doc test"
+
+RDEPEND="
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/ipython_genutils[${PYTHON_USEDEP}]
+ dev-python/traitlets[${PYTHON_USEDEP}]
+ dev-python/jupyter_core[${PYTHON_USEDEP}]
+ "
+DEPEND="${RDEPEND}
+ doc? (
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/numpydoc[${PYTHON_USEDEP}]
+ )
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/coverage[${PYTHON_USEDEP}]
+ )
+ "
+
+python_prepare_all() {
+ # Prevent un-needed download during build
+ if use doc; then
+ sed -e "/^ 'sphinx.ext.intersphinx',/d" -i docs/conf.py ||
die
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ distutils_install_for_testing
+ cd "${TEST_DIR}"/lib || die
+ nosetests --with-coverage --cover-package=nbformat nbformat || die
+}
+
+python_install_all() {
+ use doc && HTML_DOCS=( docs/_build/html/. )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/nbformat/nbformat-9999.ebuild
b/dev-python/nbformat/nbformat-9999.ebuild
index 3461090..777cf59 100644
--- a/dev-python/nbformat/nbformat-9999.ebuild
+++ b/dev-python/nbformat/nbformat-9999.ebuild
@@ -6,18 +6,11 @@ EAPI=5
PYTHON_COMPAT=( python2_7 python{3_3,3_4} )
PYTHON_REQ_USE='sqlite'
-inherit distutils-r1
+inherit distutils-r1 git-r3
DESCRIPTION="Reference implementation of the Jupyter Notebook format"
HOMEPAGE="http://jupyter.org"
-
-if [ ${PV} == "9999" ] ; then
- inherit git-r3
- EGIT_REPO_URI="https://github.com/jupyter/${PN}.git
git://github.com/jupyter/${PN}.git"
-else
- SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
- KEYWORDS="~amd64 ~x86"
-fi
+EGIT_REPO_URI="https://github.com/jupyter/${PN}.git
git://github.com/jupyter/${PN}.git"
LICENSE="BSD"
SLOT="0"